VCard::Telephone Struct Reference

`#include <vcard.h>`

## Public Attributes

std::string | number
bool | home
bool | work
bool | voice
bool | fax
bool | pager
bool | msg
bool | cell
bool | video
bool | bbs
bool | modem
bool | isdn
bool | pcs
bool | pref

## Detailed Description

Describes a telephone number entry.

Definition at line 112 of file vcard.h.

## Member Data Documentation

## bbs

bool bbs

Whether this is a BBS.

Definition at line 123 of file vcard.h.

## cell

bool cell

Whether this is a cell phone.

Definition at line 121 of file vcard.h.

## fax

bool fax

Whether this is a fax number.

Definition at line 118 of file vcard.h.

## home

bool home

Whether this is a personal number.

Definition at line 115 of file vcard.h.

## isdn

bool isdn

Whether this is a ISDN line(?)

Definition at line 125 of file vcard.h.

## modem

bool modem

Whether this is a modem.

Definition at line 124 of file vcard.h.

## msg

bool msg

MSG(?)

Definition at line 120 of file vcard.h.

## number

std::string number

The phone number.

Definition at line 114 of file vcard.h.

## pager

bool pager

Whether this is a pager.

Definition at line 119 of file vcard.h.

## pcs

bool pcs

PCS(?)

Definition at line 126 of file vcard.h.

## pref

bool pref

Whether this is the preferred number.

Definition at line 127 of file vcard.h.

## video

bool video

Whether this is a video chat(?).

Definition at line 122 of file vcard.h.

## voice

bool voice

Whether this is a voice number.

Definition at line 117 of file vcard.h.

## work

bool work

Whether this is a work number.

Definition at line 116 of file vcard.h.

The documentation for this struct was generated from the following file:

- vcard.h